haskell-language-server-2.7.0.0: LSP server for GHC

Safe Haskell | None
Language | GHC2021

Ide.Plugin.CabalFmt

Synopsis

- data Log
  - = LogProcessInvocationFailure Int
  - | LogReadCreateProcessInfo Text [String]
  - | LogInvalidInvocationInfo
  - | LogCabalFmtNotFound
- descriptor :: Recorder (WithPriority Log) -> PluginId -> PluginDescriptor IdeState
- provider :: Recorder (WithPriority Log) -> FormattingHandler IdeState

# Documentation

data Log #

Constructors

LogProcessInvocationFailure Int |
LogReadCreateProcessInfo Text [String] |
LogInvalidInvocationInfo |
LogCabalFmtNotFound |

#### Instances

Instances details

Show Log # |
Instance details Defined in Ide.Plugin.CabalFmt Methods showsPrec :: Int -> Log -> ShowS # show :: Log -> String # showList :: [Log] -> ShowS #
Pretty Log # |
Instance details Defined in Ide.Plugin.CabalFmt Methods pretty :: Log -> Doc ann # prettyList :: [Log] -> Doc ann #

descriptor :: Recorder (WithPriority Log) -> PluginId -> PluginDescriptor IdeState #

provider :: Recorder (WithPriority Log) -> FormattingHandler IdeState #

Formatter provider of cabal fmt. Formats the given source in either a given Range or the whole Document. If the provider fails an error is returned that can be displayed to the user.